> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get historical snapshot of delegators for a Cardano stake pool at a specific epoch with stake amounts.

# Stake pool delegator history



## OpenAPI

````yaml cardano/blockchain-indexer-api/openapi.json get /pools/{pool_id}/delegators/{epoch_no}
openapi: 3.0.3
info:
  title: Cardano - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Cardano.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.8.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
tags:
  - name: Maestro
paths:
  /pools/{pool_id}/delegators/{epoch_no}:
    get:
      tags:
        - Pools
      summary: Stake pool delegator history
      description: Returns a list delegators of a pool as of a certain epoch
      operationId: pool_historical_delegators
      parameters:
        - name: pool_id
          in: path
          description: Pool ID in bech32 format
          required: true
          schema:
            type: string
        - name: epoch_no
          in: path
          description: Epoch number to fetch results for
          required: true
          schema:
            type: integer
            format: int32
        - name: count
          in: query
          description: The max number of results per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string, use the cursor included in a page of
            results to fetch the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: >-
            Array of information about delegators for a given pool in a specific
            epoch
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedHistoricalDelegatorInfo'
              example:
                data:
                  - stake_address: >-
                      stake1u83feq9ks8lc5gyre0c3fqr7e643604jgec9jp0tau220mgyj0a8n
                    amount: '18272086108353'
                  - stake_address: >-
                      stake1uxz2du6vka7emfclsgd2we8znyu2edy9exkxnd7n5xg63qga7u2jf
                    amount: '4002283786898'
                last_updated:
                  timestamp: '2023-12-18 10:13:03'
                  block_hash: >-
                    fb42be66ef3ca55b0538c9c69c4f9b55f16b286b45f1817f89e481feb8d5b7bf
                  block_slot: 111328092
                next_cursor: AAAAAAAAAAA
        '400':
          description: Malformed query parameters
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedHistoricalDelegatorInfo:
      type: object
      description: >-
        A paginated response. Pass in the `next_cursor` in a subsequent request
        as the `cursor` query parameter to fetch the next page of results.
      required:
        - data
        - last_updated
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/HistoricalDelegatorInfo'
          description: Endpoint response data
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          description: Pagination cursor
          nullable: true
    HistoricalDelegatorInfo:
      type: object
      description: Information summary of a delegator
      properties:
        amount:
          type: string
          description: Delegator live stake
          nullable: true
        stake_address:
          type: string
          description: Bech32 encoded stake address (reward address)
          nullable: true
    LastUpdated:
      type: object
      description: >-
        Details of the most recent block processed by the indexer (aka chain
        tip); that is, the data returned is correct as of this block in time.
      required:
        - timestamp
        - block_hash
        - block_slot
      properties:
        block_hash:
          type: string
          description: >-
            Hex-encoded hash of the most recently processed block (aka chain
            tip)
        block_slot:
          type: integer
          format: int64
          description: Absolute slot of the most recently processed block (aka chain tip)
          minimum: 0
        timestamp:
          type: string
          description: UTC timestamp of when the most recently processed block was minted
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````